Subject: Re: bug#74747: 30.0.92; scratch/igc: crashes when executing M-x list-packages

From: Pip Cet <[email-masked]>
Date: Mon, 09 Dec 2024 17:38:35 +0000

"Gregor Zattler" <[email-masked]> writes:

> Hi Pip, Gerd, Emacs developers,
> * Pip Cet <[email-masked]> [2024-12-09; 16:02 GMT]:
>> "Gregor Zattler via \"Bug reports for GNU Emacs, the Swiss army knife of text editors\"" <[email-masked]> writes:
>>> I'm happy to answer very specifically
>>> specified questions.
>>
>> Is this reproducible, or did it just happen once?
>
> this was reproducible, it happened
> several times, while I tried to get as
> much debug info as possible.

Thank you, I've managed to reproduce it, and will push a bug fix very
soon. The problem was that syms_of_threads isn't called after pdumping,
only init_threads is, so we have to move the gc_init_header call
there. My mistake, and thanks again for the report! Do let us know what
your experiences with the scratch/igc branch are.

Pip